#include<iostream>
#include<vector>
#include<algorithm>
using namespace std;

int main()
{
    int pericina_visina,visina_stalaktita,broj_stalaktita;
    cin>>broj_stalaktita>>pericina_visina;
    if (broj_stalaktita>1000)
        broj_stalaktita=1000;
    vector <int> stalktiti(broj_stalaktita);
    for(int i=0;i<broj_stalaktita;i++){
        cin>>stalktiti[i];
        if(stalktiti[i]<=pericina_visina){
            cout<<i+1;
            return 0;
        }
    }
    cout<<"-1";
    return 0;
}